These are chat archives for ChaiScript/ChaiScript

13th
Jun 2018
Jason Turner
@lefticus
Jun 13 2018 15:01
@emersont1 hard to say, but if you're on the develop that now requires a C++17 compiler, and a pretty recent one
Peter Taylor
@emersont1
Jun 13 2018 15:57
i'm on master, and i am using 17, let me double check all the configs
Jason Turner
@lefticus
Jun 13 2018 16:25
Yeah that would be surprising to have an ICE there
Peter Taylor
@emersont1
Jun 13 2018 16:58
right, it's minGW 8.1.0, it builds on linux. it's on 2e77b9
i'll try checking it out on develop
same issue
Peter Taylor
@emersont1
Jun 13 2018 17:47
on MSVC i'm getting a ton of expression did not evaluate to a constant
(that's just on develop) it compiles fine on master